This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459764 - Collectd records with one numeric value are not reporting the numeric value to the metrics store
Collectd records with one numeric value are not reporting the numeric value t...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-metrics
Classification: oVirt
Component: Generic (Show other bugs)
1.0.3
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-4.1.3
: 1.0.4.3
Assigned To: Shirly Radco
Lukas Svaty
:
Depends On: 1461690 1464394
Blocks: oVirt-Metrics-and-Logs 1456459
  Show dependency treegraph
 
Reported: 2017-06-08 02:57 EDT by Shirly Radco
Modified: 2017-07-06 10:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 10:01:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
lsvaty: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Shirly Radco 2017-06-08 02:57:22 EDT
Description of problem:
The collectd swap plugin reports records but the collectd.swap.swap and collectd.swap.swap_io do not contain value when we inspect the data in Kibana.

Version-Release number of selected component (if applicable):
1.0.3

How reproducible:


Steps to Reproduce:
1.Setup engine and hosts
2.Setup the metrics store
3.Install metrics+logging on engine and hosts
4.Filter by collectd.plugin=swap in Kibana
5.Check the value of the collectd.swap.swap and collectd.swap.swap_io fields

Actual results:
The collectd.swap.swap and collectd.swap.swap_io are3 empty

Expected results:
The fields should show the swap actual value

Additional info:
Comment 1 Shirly Radco 2017-06-13 03:37:50 EDT
This was found as a more general problem. 
It seems that the  fluent-plugin-viaq_data_model removes the numeric value for records that contain only one value. 
This needs further investigation.
I asked Rich Megginson to check the plugin.
Comment 2 Rich Megginson 2017-06-13 11:00:22 EDT
This is a bug in the viaq plugin: https://github.com/ViaQ/fluent-plugin-viaq_data_model/pull/5
Comment 4 Rich Megginson 2017-06-14 13:29:00 EDT
New package is available upstream: http://cbs.centos.org/repos/opstools7-fluentd-012-candidate/x86_64/os/Packages/

[ ]	rubygem-fluent-plugin-viaq_data_model-0.0.5-1.el7.noarch.rpm	14-Jun-2017 17:09 	9.7K
Comment 5 Lukas Svaty 2017-06-22 05:33:47 EDT
waiting for new build with the verification
Comment 6 Lukas Svaty 2017-06-26 09:35:00 EDT
values are reported correctly in ovirt-engine-metrics-1.0.4.3-1.el7ev.noarch

"collectd": {
      "dstypes": [
        "derive"
      ],
      "interval": 10,
      "plugin": "swap",
      "type": "swap_io",
      "type_instance": "in",
      "swap": {
        "swap_io": 0
      }

"collectd": {
      "dstypes": [
        "gauge"
      ],
      "interval": 10,
      "plugin": "swap",
      "type": "swap",
      "type_instance": "used",
      "swap": {
        "swap": 4186112
      }

Note You need to log in before you can comment on or make changes to this bug.